Page MenuHomePhabricator

[RISCV] Implement jump pseudo-instruction
ClosedPublic

Authored by luismarques on Jan 22 2020, 5:18 AM.

Details

Summary

Implements the jump pseudo-instruction, which is used in e.g. the Linux kernel.

Diff Detail

Event Timeline

luismarques created this revision.Jan 22 2020, 5:18 AM
lenary accepted this revision.Jan 29 2020, 5:27 AM

LGTM! I'm happy that this seems to do the right thing and is tested well enough.

This revision is now accepted and ready to land.Jan 29 2020, 5:27 AM
This revision was automatically updated to reflect the committed changes.
evandro added a subscriber: evandro.Feb 5 2020, 1:20 PM